#pragma once

#include "CoreMinimal.h"
#include "ECurrencyType.h"
#include "CostItem.generated.h"

USTRUCT(BlueprintType)
struct FCostItem
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 Amount;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	ECurrencyType CurrencyId;

public:
	DEADBYDAYLIGHT_API FCostItem();
};

FORCEINLINE uint32 GetTypeHash(const FCostItem) { return 0; }
